# PVC helper scripts

These helper scripts are included with the PVC client to aid administrators in some meta-functions.

The following scripts are provided for use:

## `migrate_vm`

Migrates a VM, with downtime, from one PVC cluster to another.

`migrate_vm <vm> <source_cluster> <destination_cluster>`

### Arguments

 * `vm`: The virtual machine to migrate
 * `source_cluster`: The source PVC cluster; must be a valid cluster to the local PVC client
 * `destination_cluster`: The destination PVC cluster; must be a valid cluster to the local PVC client

## `import_vm`

Imports a VM from another platform into a PVC cluster.

## `export_vm`

Exports a (stopped) VM from a PVC cluster to another platform.

`export_vm <vm> <source_cluster>`

### Arguments

 * `vm`: The virtual machine to migrate
 * `source_cluster`: The source PVC cluster; must be a valid cluster to the local PVC client
